<!DOCTYPE html>
<title>Halaman Siap Scanner</title>
<style>
	img	{
		width: 230px;
		height: 200px;
	}
	form {
		text-align: center;
		font-family: arial;
		font-size: 30px;
	}
	input {
		width: 490px;
		height: 35px;
		padding: 0px 10px;
	}
	progress {
		width: 500px;
		height: 35px;		
	}
	button {
		border-radius: 15px;
		background: black;
		color: white;
		font-size: 20px;
		padding: 10px 20px;
		font-weight: bold;
	}
</style>
<form onsubmit="return call()">
	<br><br><br>
	<img src="/logo.png">
	<br>
	<label>Arahkan pointer ke form ini</label>
<!-- 
	<br>
	<progress value="20" max="100"></progress>
 -->	
 	<div id="input">
		<input type="text" name="query" id="qr-query">
 	</div>
	<button type="submit">Submit</button>	
</form>
<script>
	function call() {
		let qr = document.getElementById('qr-query');
		let input = document.getElementById('input');
		let qrValue = qr.value;

		let progress = document.createElement('progress');
		progress.setAttribute('max', 100);
		progress.setAttribute('value', 0);
		input.removeChild(qr);
		input.appendChild(progress);

		let xhr = new XMLHttpRequest();
		xhr.open('POST', '/print-qr');
		progress.setAttribute('value', 20);
		xhr.setRequestHeader('Content-Type', 'application/json');
		xhr.onreadystatechange = function() {
			if (xhr.readyState === xhr.DONE) {
				console.log(xhr.response);
				progress.setAttribute('value', 100);
				setTimeout(() => {
					qr = document.createElement('input');
					qr.setAttribute('id', 'qr-query')
					input.removeChild(progress);
					input.appendChild(qr);
					qr.focus();
				}, 1000)
			}
		}
		progress.setAttribute('value', 60);
		xhr.send('{"data":"'+qrValue+'"}');

		return false;
	}
</script>